'use strict';

var React = require('react');

const atlantisContextDefaultValues = {
    dateFormat: "P",
    // The system time is "p"
    timeFormat: "p",
    timeZone: Intl.DateTimeFormat().resolvedOptions().timeZone,
    floatSeparators: { group: ",", decimal: "." },
    currencySymbol: "$",
    locale: "en",
    firstDayOfWeek: 0,
};
const AtlantisContext = React.createContext(atlantisContextDefaultValues);
function useAtlantisContext() {
    return React.useContext(AtlantisContext);
}

exports.AtlantisContext = AtlantisContext;
exports.atlantisContextDefaultValues = atlantisContextDefaultValues;
exports.useAtlantisContext = useAtlantisContext;
